%define with_nau 1
%define build_cvs 0
%define origver 1.3.16
# die to 'a'-releases

Name: galeon
Version: %origver
Release: alt5

Summary: Gnome browser based on Gecko (Mozilla)
Group: Networking/WWW
License: GPL
%if %build_cvs
Source: http://download.sourceforge.net/galeon/%name-%{version}cvs.tar.bz2
%else
Source: http://download.sourceforge.net/galeon/%name-%version.tar.bz2
%endif
#Source: %name-%{version}cvs.tar.bz2
Source1: %{name}_48.png
Source2: %{name}_32.png
Source3: %{name}_16.png
Url: http://galeon.sourceforge.net
Patch0: galeon-1.3.2-home.patch
Patch1: galeon-1.3.12-include-fix.patch
Patch2: galeon-1.3.16-alt-thunderbird.patch
Patch3: galeon-1.3.16-alt-dlopen_self.patch

PreReq: GConf2 >= 1.0.9
PreReq: libORBit2 >= 2.7.3
PreReq: scrollkeeper
PreReq: mozilla >= 1.4-alt1
Requires: indexhtml

Obsoletes: galeon-common galeon-nautilus

# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel hostinfo indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libeel2-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libnautilus-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel mozilla-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
Galeon is a GNOME web browser based on Gecko (Mozilla rendering engine)

%prep
%if %build_cvs
%setup -q -ngaleon
%else
%setup -q -n %name-%origver
%endif
%patch0 -p1
#patch1 -p1
%patch2 -p1
%patch3 -p1

%build
unset CC CXX

%__libtoolize --copy --force
%if %with_nau
%if %build_cvs
CXXFLAGS=%optflags \
	./autogen.sh \
		--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--disable-schemas-install \
		--enable-nautilus-view=yes \
		--disable-werror \
		--disable-maintainer-mode
%else
%__aclocal
%__autoconf
%__automake
%configure \
	--disable-schemas-install \
	--enable-nautilus-view=yes \
	--disable-werror
%endif
%else
%if %build_cvs
CXXFLAGS=%optflags \
	./autogen.sh \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir \
	--mandir=%_mandir \
	--disable-schemas-install \
	--enable-nautilus-view=no \
	--disable-werror \
	--disable-maintainer-mode
%else
%__aclocal
%__autoconf
%__automake
%configure \
	--disable-schemas-install \
	--enable-nautilus-view=no \
	--disable-werror
%endif
%endif
%make

%install
%makeinstall

%__mkdir_p  %buildroot{%_menudir,%_iconsdir,%_liconsdir,%_miconsdir}
%__cat << EOF > %buildroot%_menudir/%name
?package(%name): \
	command="%_bindir/%name" \
	icon="%name.xpm" \
	needs="x11" \
	section="%group" \
	title="Galeon" \
	longtitle="%summary"
EOF

%__cp %SOURCE1 %buildroot%_liconsdir/%name.png
%__cp %SOURCE2 %buildroot%_iconsdir/%name.png
%__cp %SOURCE3 %buildroot%_miconsdir/%name.png

%find_lang %name-2.0

# create cache files
touch %buildroot%_datadir/gnome/help/%name/C/%name.html

%post
%update_scrollkeeper
if [ -x %_bindir/yelp-pregenerate ]; then 
	%_bindir/yelp-pregenerate %_datadir/gnome/help/%name/*/%name.xml \
	>/dev/null 2>&1 ||:
fi
%_bindir/galeon-config-tool --fix-gconf-permissions
%_bindir/galeon-config-tool --pkg-install-schemas
if [ "$DURING_INSTALL" != "" ]; then
	killall oafd 2>&1 > /dev/null
fi

%update_menus

%postun
%clean_menus
%clean_scrollkeeper

%files -f %{name}-2.0.lang
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config(noreplace) %_sysconfdir/sound/events/*
%config(noreplace) %_sysconfdir/gconf/schemas/galeon.schemas
%_bindir/*
%_libdir/galeon
#_libdir/scrollkeeper/*/*
%_libdir/bonobo/servers/*
%_datadir/galeon
%_datadir/sounds/*
%_datadir/applications/*
%_datadir/gnome-2.0/ui/*
%_datadir/pixmaps/*
%_datadir/omf/*
%_man1dir/*
%_menudir/*
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_datadir/gnome/help/%{name}*/
#ghost %_datadir/gnome/help/%name/*/%name.html

%changelog
* Tue Aug 17 2004 Alexey Morozov <morozov@altlinux.org> 1.3.16-alt5
- Added galeon-1.3.16-alt-dlopen_self.patch to fix problems w/ callbacks

* Tue Aug 10 2004 Michael Shigorin <mike@altlinux.ru> 1.3.16-alt4
- rebuit against mozilla-1.7.2
- *yuck*!

* Tue Aug 10 2004 Michael Shigorin <mike@altlinux.ru> 1.3.16-alt3
- rebuilt against mozilla-1.7.1

* Tue Jul 20 2004 Michael Shigorin <mike@altlinux.ru> 1.3.16-alt2
- rebuilt against mozilla-1.7

* Tue Jul 13 2004 Michael Shigorin <mike@altlinux.ru> 1.3.16-alt1
- 1.3.16 (bugfixes)
- added thunderbird-related patch by Alexey Morozov (morozov@)

* Mon Apr 26 2004 Michael Shigorin <mike@altlinux.ru> 1.3.14a-alt2
- removed patch1 -- author (Andrew Borodin <borodin zarya-k ru>)
  says it's unneeded since 1.3.13

* Sat Apr 17 2004 Michael Shigorin <mike@altlinux.ru> 1.3.14a-alt1
- 1.3.14a

* Mon Feb 16 2004 Michael Shigorin <mike@altlinux.ru> 1.3.12-alt2
- rebuilt against mozilla-1.6
- patch1: include fix from Andrew Borodin <borodin zarya-k ru>
- help back (#2655)

* Wed Jan 28 2004 Grigory Milev <week@altlinux.ru> 1.3.12-alt1
- new version released

* Thu Sep 18 2003 AEN <aen@altlinux.ru> 1.3.9-alt1
- new release
- removed patch #1 

* Mon Aug 11 2003 AEN <aen@altlinux.ru> 1.3.7-alt1
- new version
- fixschema patch from MDK
- icons from MDK

* Wed Jul 30 2003 AEN <aen@altlinux.ru> 1.3.6-alt1
- release

* Thu Jul 10 2003 AEN <aen@altlinux.ru> 1.3.6-alt0.3
- updated sources
- bug with po files fixed

* Tue Jul 08 2003 AEN <aen@altlinux.ru> 1.3.6-alt0.2
- new sources from cvs

* Wed Jul 02 2003 AEN <aen@altlinux.ru> 1.3.6-alt0.1
- sources from cvs
- built with mozilla-1.4

* Wed Jun 11 2003 AEN <aen@altlinux.ru> 1.3.5-alt2
- help fixed

* Tue Jun 10 2003 AEN <aen@altlinux.ru> 1.3.5-alt1
- new version

* Mon Apr 07 2003 AEN <aen@altlinux.ru> 1.3.3-alt3
- old prereq on oaf removed (bug #2478)

* Fri Mar 14 2003 AEN <aen@altlinux.ru> 1.3.3-alt2
- rebuild with mozilla-1.3-alt1

* Mon Mar 10 2003 AEN <aen@altlinux.ru> 1.3.3-alt1
- new release

* Mon Feb 17 2003 AEN <aen@altlinux.ru> 1.3.2-alt1
- new release

* Fri Feb 14 2003 AEN <aen@altlinux.ru> 1.3.1-alt2
- Requires: mozilla-1.3b

* Fri Feb 14 2003 AEN <aen@altlinux.ru> 1.3.1-alt1
- build sources from CVS with mozilla-1.3b

* Tue Dec 24 2002 AEN <aen@altlinux.ru> 1.2.7-alt4
- Requires: GConf1

* Tue Dec 24 2002 AEN <aen@altlinux.ru> 1.2.7-alt3
-  %%post scripts fixed

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 1.2.7-alt2
- added Requires: gnome-vfs

* Tue Dec 03 2002 AEN <aen@altlinux.ru> 1.2.7-alt1
- new version
- build with 1.2.1

* Thu Oct 24 2002 AEN <aen@altlinux.ru> 1.2.6-alt2
- PreReq: GConf >= 1.0.9

* Tue Oct 22 2002 AEN <aen@altlinux.ru> 1.2.6-alt1
- new version
- build with mozilla-1.2b

* Mon Jun 10 2002 AEN <aen@logic.ru> 1.2.5-alt1
- new version

* Wed Jun 05 2002 AEN <aen@logic.ru> 1.2.3-alt1
- new version

* Wed May 22 2002 AEN <aen@logic.ru> 1.2.1-alt4
- new package: galeon-nautilus

* Wed May 22 2002 AEN <aen@logic.ru> 1.2.1-alt2
- build with nau

* Mon May 06 2002 AEN <aen@logic.ru> 1.2.1-alt1
- new version

* Wed Mar 13 2002 AEN <aen@logic.ru> 1.2.0-alt2
- galeon.desktop converted

* Sun Mar 10 2002 AEN <aen@logic.ru> 1.2.0-alt1
- build with mozilla-0.9.9

* Wed Feb 06 2002 AEN <aen@logic.ru> 1.1.3-alt1
- new version

* Tue Feb 05 2002 AEN <aen@logic.ru> 1.1.2-alt0.4
- new sources frm cvs

* Tue Jan 29 2002 AEN <aen@logic.ru> 1.1.2-alt0.3
- recompiled against latest mozilla build

* Mon Jan 28 2002 AEN <aen@logic.ru> 1.1.2-alt0.2
- new sources from CVS

* Thu Jan 24 2002 AEN <aen@logic.ru> 1.1.2-alt0.1
- 1.1.2 from CVS with mozilla-0.9.8

* Fri Jan 04 2002 AEN <aen@logic.ru> 1.1-alt0.1.5
- back to mozilla-0.9.6
- disable nautilus-view

* Fri Dec 28 2001 AEN <aen@logic.ru> 1.1-alt0.2
- new snapshot
- belarusian translation from Vitaly Khilko added

* Wed Dec 26 2001 AEN <aen@logic.ru> 1.1-alt0.1
- 1.1 snapshot
* Thu Dec 06 2001 AEN <aen@logic.ru> 1.0.1-alt1
- new release

* Tue Nov 27 2001 AEN <aen@logic.ru> 1.0-alt3
- %post fixed (?)

* Mon Nov 26 2001 AEN <aen@logic.ru> 1.0-alt2
- new ru.po from CVS

* Mon Nov 26 2001 AEN <aen@logic.ru> 1.0-alt1
- release

* Mon Nov 19 2001 AEN <aen@logic.ru> 0.12.8-alt1
- new version

* Sat Nov 17 2001 AEN <aen@logic.ru> 0.12.7-alt2
- rebuild with mozila-0.9.6

* Mon Nov 12 2001 AEN <aen@logic.ru> 0.12.7-alt1
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.12.6-alt1
- new version

* Tue Oct 16 2001 AEN <aen@logic.ru> 0.12.4-alt1
- new version, build with mozilla-0.9.5

* Wed Oct 10 2001 AEN <aen@logic.ru> 0.12.3-alt1
- new version
- file list fixed

* Tue Oct 2 2001 AEN <aen@logic.ru> 0.12.2-alt1
- new realease
- build with MOZILLA_0.9.4_BRANCH, patch1

* Mon Sep 17 2001 AEN <aen@logic.ru> 0.12.1-alt1
- new realease
- build with mozilla-0.9.4

* Sat Aug 25 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.12-alt2
- Use oaf-slay

* Mon Aug 20 2001 AEN <aen@logic.ru> 0.12-alt1
- 0.12

* Tue Aug 13 2001 AEN <aen@logic.ru> 0.12-alt0.3
- 0.12pre3
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.12-alt0.1
- 0.12pre1
* Wed Jul 24 2001 AEN <aen@logic.ru> 0.11.2-alt1
- new release

* Wed Jul 3 2001 AEN <aen@logic.ru> 0.11.1-alt1
- 0.11.1 release
* Sun Jul 1 2001 AEN <aen@logic.ru> 0.11.1-alt0.1
- build galeon cvs with mozilla-0.9.2
* Sat Jun 9 2001 AEN <aen@logic.ru> 0.11-alt1
- 0.11 release
- %files revised

* Fri Jun 8 2001 AEN <aen@logic.ru> 0.11-alt0.1
- 0.11pre from CVS
- title patch (non-Latin1 title patch in galeon is broken)

* Sun May 13 2001 AEN <aen@logic.ru> 0.10.6-alt1
- new version
* Thu May 10 2001 AEN <aen@logic.ru> 0.10.5 -alt2
- build with mozilla-0.9
* Mon May 7 2001 AEN <aen@logic.ru> 0.10.5 -alt1
- 0.10.5
- title in native encoding problem solved, required mozilla-0.8.1-alt4
* Mon Apr 9 2001 AEN <aen@logic.ru> 0.10.4 -alt1
- 0.10.4
* Wed Mar 14 2001 AEN <aen@logic.ru> 0.10.2-ipl1mdk
- 0.10.2
* Thu Feb 22 2001 AEN  <aen@logic.ru>  0.10.1-ipl0.1mdk
- build new source from cvs with mozilla-0.8

* Sun Dec 17 2000 AEN <aen@logic.ru>
- 0.8.2
- cleanup spec
* Mon Nov 28 2000 AEN <aen@logic.ru>
- 0.8.1
- without included gettext
* Mon Oct 23 2000 AEN <aen@logic.ru>
- 0.7.7
* Fri Aug 25 2000 AEN <aen@logic.ru>
- adapted to RE
